Page MenuHomePhabricator

Cite <ref> error messages save UI language text into parser cache
Closed, ResolvedPublic

Description

Reported via IRC -- this Esperanto Wikipedia page http://eo.wikipedia.org/wiki/Citrongor%C4%9Da_barbulo was showing a <ref> error message in French.

Running ?action=purge to clear its cache re-rendered the page with the message in Esperanto as expected.

Cite_body::error uses UI language:

wfMsgNoTrans( 'cite_error', wfMsgNoTrans( $key, $param ) ) .

while everything else is content language.

Either this needs to use content language too or it needs to record the use of the UI language in the parser options so it can go into to the parser cache hash key, I think?


Version: unspecified
Severity: normal
URL: http://eo.wikipedia.org/wiki/Citrongor%C4%9Da_barbulo

Details

Reference
bz31216

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:56 PM
bzimport added a project: Cite.
bzimport set Reference to bz31216.
brion created this task.Sep 28 2011, 6:20 PM

We have seen this on the English Wikipedia a few times.

demon added a comment.May 6 2012, 1:46 PM

(In reply to comment #0)

Either this needs to use content language too or it needs to record the use of
the UI language in the parser options so it can go into to the parser cache
hash key, I think?

Since it's shown *in* the content, I'd assume the former would be preferable (and easier).

Change 90084 had a related patch set uploaded by Legoktm:
Show error messages in content language to avoid cache issues

https://gerrit.wikimedia.org/r/90084

Change 90084 merged by jenkins-bot:
Show error messages in content language to avoid cache issues

https://gerrit.wikimedia.org/r/90084

He7d3r added a subscriber: He7d3r.Dec 16 2014, 3:42 PM

I think this is super silly. I had to debug some Cite problems on a German wiki recently and it sucked. I'd prefer user language for these.

And split the parser cache?

Yeah. Cite error messages shouldn't be that common to make this a problem.

Change 262758 had a related patch set uploaded (by Legoktm):
Display Cite errors in the user language

https://gerrit.wikimedia.org/r/262758

Change 262758 merged by jenkins-bot:
Display Cite errors in the user language

https://gerrit.wikimedia.org/r/262758